| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Atan calculation
Core functionality » Hardware Acceleration Layer » Interface

## Detailed Description

Parameters

  x | source X arrays
  y | source Y arrays
  mag | destination magnitude array
  angle | destination angle array
  len | length of arrays
  angleInDegrees | if set to true return angles in degrees, otherwise in radians
  y | source Y arrays
  x | source X arrays
  dst | destination array
  len | length of arrays
  angleInDegrees | if set to true return angles in degrees, otherwise in radians
  mag | source magnitude arrays
  mag | source angle arrays
  x | destination X array
  y | destination Y array
  len | length of arrays
  angleInDegrees | if set to true interpret angles from degrees, otherwise from radians

## Functions
int | hal_ni_cartToPolar32f (const float *x, const float *y, float *mag, float *angle, int len, bool angleInDegrees)
int | hal_ni_cartToPolar64f (const double *x, const double *y, double *mag, double *angle, int len, bool angleInDegrees)
int | hal_ni_fastAtan32f (const float *y, const float *x, float *dst, int len, bool angleInDegrees)
int | hal_ni_fastAtan64f (const double *y, const double *x, double *dst, int len, bool angleInDegrees)
int | hal_ni_polarToCart32f (const float *mag, const float *angle, float *x, float *y, int len, bool angleInDegrees)
int | hal_ni_polarToCart64f (const double *mag, const double *angle, double *x, double *y, int len, bool angleInDegrees)

## Function Documentation

## ◆ hal_ni_cartToPolar32f()

int hal_ni_cartToPolar32f | ( | const float * | x,
|  | const float * | y,
|  | float * | mag,
|  | float * | angle,
|  | int | len,
|  | bool | angleInDegrees )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_cartToPolar64f()

int hal_ni_cartToPolar64f | ( | const double * | x,
|  | const double * | y,
|  | double * | mag,
|  | double * | angle,
|  | int | len,
|  | bool | angleInDegrees )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_fastAtan32f()

int hal_ni_fastAtan32f | ( | const float * | y,
|  | const float * | x,
|  | float * | dst,
|  | int | len,
|  | bool | angleInDegrees )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_fastAtan64f()

int hal_ni_fastAtan64f | ( | const double * | y,
|  | const double * | x,
|  | double * | dst,
|  | int | len,
|  | bool | angleInDegrees )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_polarToCart32f()

int hal_ni_polarToCart32f | ( | const float * | mag,
|  | const float * | angle,
|  | float * | x,
|  | float * | y,
|  | int | len,
|  | bool | angleInDegrees )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_polarToCart64f()

int hal_ni_polarToCart64f | ( | const double * | mag,
|  | const double * | angle,
|  | double * | x,
|  | double * | y,
|  | int | len,
|  | bool | angleInDegrees )
| inline

`#include <core/src/hal_replacement.hpp>`